org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcQueryExecuteResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcQueryExecuteResult

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcQueryExecuteResult
    extends JdbcResult

JDBC query execute result.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`BATCH_EXEC`

### Constructor Summary

Constructors
Constructor and Description
`JdbcQueryExecuteResult(long queryId, long updateCnt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getQueryId()`
`boolean` `isQuery()`
`List<List<Object>>` `items()`
`boolean` `last()`
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`String` `toString()`
`long` `updateCount()`
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`readResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcQueryExecuteResult

    public JdbcQueryExecuteResult(long queryId,
                                  long updateCnt)

Parameters:
  `queryId` - Query ID.
  `updateCnt` - Update count for DML queries.

### Method Detail

#### getQueryId

    public long getQueryId()

Returns:
  Query ID.

#### items

    public List<List<Object>> items()

Returns:
  Query result rows.

#### last

    public boolean last()

Returns:
  Flag indicating the query has no unfetched results.

#### isQuery

    public boolean isQuery()

Returns:
  Flag indicating the query is SELECT query. `false` for DML/DDL queries.

#### updateCount

    public long updateCount()

Returns:
  Update count for DML queries.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcResult`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcResult`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018